import FWCore.ParameterSet.Config as cms

APVPhases = cms.EDProducer('ConfigurableAPVCyclePhaseProducer',
                           defaultPartitionNames = cms.vstring("TI_08-AUG-2008_1",
                                                               "TO_08-AUG-2008_1",
                                                               "TP_08-AUG-2008_1",
                                                               "TM_08-AUG-2008_1"
                                                               ),
                           defaultPhases = cms.vint32(-1,-1,-1,-1),
                           runPhases = cms.VPSet(
#                               cms.PSet( runNumber = cms.int32(66637), phases = cms.untracked.vint32(38,39,38,38)),
                               cms.PSet( runNumber = cms.int32(66668), phases = cms.untracked.vint32(54,55,54,54)),
                               cms.PSet( runNumber = cms.int32(66740), phases = cms.untracked.vint32(68,69,68,68)),
                               cms.PSet( runNumber = cms.int32(67126), phases = cms.untracked.vint32(40,41,40,40)),
                               cms.PSet( runNumber = cms.int32(67128), phases = cms.untracked.vint32(30,31,30,30)),
                               cms.PSet( runNumber = cms.int32(67139), phases = cms.untracked.vint32(14,15,14,14)),
                               cms.PSet( runNumber = cms.int32(67141), phases = cms.untracked.vint32(46,47,46,46)),
                               cms.PSet( runNumber = cms.int32(67147), phases = cms.untracked.vint32(66,67,66,66)),
                               cms.PSet( runNumber = cms.int32(67219), phases = cms.untracked.vint32(22,23,22,22)),
                               cms.PSet( runNumber = cms.int32(67225), phases = cms.untracked.vint32(14,15,14,14)),
                               cms.PSet( runNumber = cms.int32(67534), phases = cms.untracked.vint32(18,19,18,18)),
                               cms.PSet( runNumber = cms.int32(67538), phases = cms.untracked.vint32(40,41,40,40)),
                               cms.PSet( runNumber = cms.int32(67541), phases = cms.untracked.vint32(2,3,2,2)),
                               cms.PSet( runNumber = cms.int32(67544), phases = cms.untracked.vint32(64,65,64,64)),
                               cms.PSet( runNumber = cms.int32(67548), phases = cms.untracked.vint32(14,15,14,14)),
                               cms.PSet( runNumber = cms.int32(67557), phases = cms.untracked.vint32(44,45,44,44)),
                               cms.PSet( runNumber = cms.int32(67573), phases = cms.untracked.vint32(10,11,10,10)),
                               cms.PSet( runNumber = cms.int32(67645), phases = cms.untracked.vint32(32,33,32,32)),
                               cms.PSet( runNumber = cms.int32(67647), phases = cms.untracked.vint32(60,61,60,60)),
                               cms.PSet( runNumber = cms.int32(67818), phases = cms.untracked.vint32(46,47,46,46)),
                               cms.PSet( runNumber = cms.int32(67838), phases = cms.untracked.vint32(10,11,10,10)),
                               cms.PSet( runNumber = cms.int32(68124), phases = cms.untracked.vint32(62,63,62,62)),
                               cms.PSet( runNumber = cms.int32(68129), phases = cms.untracked.vint32(62,63,62,62)),
                               cms.PSet( runNumber = cms.int32(68141), phases = cms.untracked.vint32(20,21,20,20)),
                               cms.PSet( runNumber = cms.int32(68264), phases = cms.untracked.vint32(4,5,4,4)),
                               cms.PSet( runNumber = cms.int32(68276), phases = cms.untracked.vint32(34,35,34,34)),
                               cms.PSet( runNumber = cms.int32(68288), phases = cms.untracked.vint32(36,37,36,36)),
                               cms.PSet( runNumber = cms.int32(68904), phases = cms.untracked.vint32(58,59,58,58)),
                               cms.PSet( runNumber = cms.int32(68926), phases = cms.untracked.vint32(48,49,48,48)),
                               cms.PSet( runNumber = cms.int32(69046), phases = cms.untracked.vint32(28,29,28,28)),
                               cms.PSet( runNumber = cms.int32(69253), phases = cms.untracked.vint32(22,23,22,22)),
                               cms.PSet( runNumber = cms.int32(69256), phases = cms.untracked.vint32(68,69,68,68)),
                               cms.PSet( runNumber = cms.int32(69269), phases = cms.untracked.vint32(48,49,48,48)),
                               cms.PSet( runNumber = cms.int32(69273), phases = cms.untracked.vint32(4,5,4,4)),
                               cms.PSet( runNumber = cms.int32(69276), phases = cms.untracked.vint32(54,55,54,54)),
                               cms.PSet( runNumber = cms.int32(69343), phases = cms.untracked.vint32(50,51,50,50)),
                               cms.PSet( runNumber = cms.int32(69357), phases = cms.untracked.vint32(60,61,60,60)),
                               cms.PSet( runNumber = cms.int32(69365), phases = cms.untracked.vint32(64,65,64,64)),
                               cms.PSet( runNumber = cms.int32(69382), phases = cms.untracked.vint32(0,1,0,0)),
                               cms.PSet( runNumber = cms.int32(69396), phases = cms.untracked.vint32(22,23,22,22)),
                               cms.PSet( runNumber = cms.int32(69522), phases = cms.untracked.vint32(68,69,68,68)),
                               cms.PSet( runNumber = cms.int32(69557), phases = cms.untracked.vint32(34,35,34,34)),
                               cms.PSet( runNumber = cms.int32(69559), phases = cms.untracked.vint32(18,19,18,18)),
                               cms.PSet( runNumber = cms.int32(69573), phases = cms.untracked.vint32(66,67,66,66)),
                               cms.PSet( runNumber = cms.int32(69750), phases = cms.untracked.vint32(18,19,18,18)),
                               cms.PSet( runNumber = cms.int32(69788), phases = cms.untracked.vint32(48,49,48,48)),
                               cms.PSet( runNumber = cms.int32(69797), phases = cms.untracked.vint32(22,23,22,22)),
                               cms.PSet( runNumber = cms.int32(69800), phases = cms.untracked.vint32(56,57,56,56)),
                               cms.PSet( runNumber = cms.int32(69850), phases = cms.untracked.vint32(20,21,20,20)),
                               cms.PSet( runNumber = cms.int32(69874), phases = cms.untracked.vint32(2,3,2,2)),
                               cms.PSet( runNumber = cms.int32(69892), phases = cms.untracked.vint32(2,3,2,2)),
                               cms.PSet( runNumber = cms.int32(69912), phases = cms.untracked.vint32(42,43,42,42)),
                               cms.PSet( runNumber = cms.int32(70036), phases = cms.untracked.vint32(56,57,56,56)),
                               cms.PSet( runNumber = cms.int32(70088), phases = cms.untracked.vint32(50,51,50,50)),
                               cms.PSet( runNumber = cms.int32(70170), phases = cms.untracked.vint32(30,31,30,30)),
                               cms.PSet( runNumber = cms.int32(70195), phases = cms.untracked.vint32(60,61,60,60)),
                               cms.PSet( runNumber = cms.int32(70415), phases = cms.untracked.vint32(54,55,54,54)),
                               cms.PSet( runNumber = cms.int32(70416), phases = cms.untracked.vint32(0,1,0,0)),
                               cms.PSet( runNumber = cms.int32(70664), phases = cms.untracked.vint32(38,39,38,38)),
                               cms.PSet( runNumber = cms.int32(70674), phases = cms.untracked.vint32(34,35,34,34)),
                               cms.PSet( runNumber = cms.int32(70675), phases = cms.untracked.vint32(46,47,46,46))
                                                 )
)
